<?php

namespace BusinessClass;

class CheckBoxQuestion extends BoxQuestion
{
    public function __construct()
    {
        $ctp = func_num_args();
        $args = func_get_args();
        switch($ctp)
        {
            case 4:
                parent::__construct($args[0], $args[1], $args[2], $args[3]);
                break;
            case 2:
                parent::__construct($args[3], $args[1]);
                break;
            default:
                break;
        }
    }

    public function responseStrategy(): void
    {
        echo "Implement responseStrategy() method.";
    }

    public function printStrategy(): string
    {
        $id = $this->getId();
        $content = $this->getContent();
        $possibleResponses = $this->getPossibleResponses();
        $categories = $this->getCategories();

        $html = "\t\t\t<div class='question'>
                <label>$content</label>\n";

        for ($i = 0; $i < count($possibleResponses); $i++) {
            $categoriesSplit = $id."#".$possibleResponses[$i]."||";
            foreach ($categories[$i] as $category) {
                $categoriesSplit.= $category."_";
            }
            $html.= "\t\t\t\t<input type='checkbox' name='answers[]' value='$categoriesSplit' />
                <label>$possibleResponses[$i]</label>\n";
        }
        $html.= "\t\t\t</div>\n";

        return $html;
    }
}
